Bug 523888 - [RFE] Add qcserial module to RHEL 5 kernel
Summary: [RFE] Add qcserial module to RHEL 5 kernel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Pete Zaitcev
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks: 508788
TreeView+ depends on / blocked
 
Reported: 2009-09-17 04:07 UTC by Huzaifa S. Sidhpurwala
Modified: 2018-10-27 16:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 06:59:52 UTC


Attachments (Terms of Use)
qcserial.c backport for RHEL 5 (4.94 KB, patch)
2009-09-17 04:07 UTC, Huzaifa S. Sidhpurwala
no flags Details | Diff
Test patch 1 (6.60 KB, patch)
2010-01-27 02:06 UTC, Pete Zaitcev
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Description Huzaifa S. Sidhpurwala 2009-09-17 04:07:34 UTC
Created attachment 361418 [details]
qcserial.c backport for RHEL 5

There are a laptops which have Qualcomm WWAN devices which need the qcserial module for it to work.
This module was recently added to upstream kernel and it would be great if it could be added to the RHEL 5 kernel.

I have back ported the kernel module from upstream to RHEL5. and is attached in the patch below.

Comment 8 Pete Zaitcev 2010-01-26 19:12:52 UTC
I verified that the attached patch
 - does not step on any IDs e.g. from option.c
 - uses APIs in a correct way for our 2.6.18 base (num_bulk_in and friends
   are normally filled, but they are not actually used, so can be omitted).
Stand by for a test build.

Comment 9 Pete Zaitcev 2010-01-27 02:06:46 UTC
Created attachment 386966 [details]
Test patch 1

Same code for driver, but also patches necessary build control files
(except the config-generic - out of kernel tree).

Comment 10 Pete Zaitcev 2010-01-27 02:11:13 UTC
Please test the kernel 2.6.18-185.el5.bz523888.1 from this location:
 http://people.redhat.com/zaitcev/ftp/523888/

Comment 11 Huzaifa S. Sidhpurwala 2010-01-29 10:16:06 UTC
test

Comment 16 Huzaifa S. Sidhpurwala 2010-03-03 10:11:25 UTC
Ok, so i got a card to test finally.
However if i do a modprobe qcserial what happens is this:

drivers/usb/serial/usb-serial.c: USB Serial support registered for Qualcomm USB modem


Shouldnt it be exposing a /dev/ttyUSB0 interface so that i can upload the firmware using it?

Or am i doing something wrong here.

Comment 17 Jarod Wilson 2010-03-03 15:43:53 UTC
in kernel-2.6.18-191.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Please update the appropriate value in the Verified field
(cf_verified) to indicate this fix has been successfully
verified. Include a comment with verification details.

Comment 24 Peter Martuccelli 2010-03-05 19:33:10 UTC
This is not a blocker for RHEL 5.5, anyone who wants to block on this issue needs to make a statement as to why.  The extent of QE will be to just verify that the kernel driver loads in RHEL 5.5 as we wait for the firmware issue to be resolved, (which should be tracked in a separate BZ).

If QE agrees then they can move the bug back into ON_QA.

Comment 27 errata-xmlrpc 2010-03-30 06:59:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.